Subject: bug#35919: recutils package does not install emacs rec-mode

From: Oleg Pykhalov <[email-masked]>
Date: Sun, 09 Jun 2019 21:06:16 +0300

Hi Jack,

Jack Hill <[email-masked]> writes:

[…]

> The attached patch does the latter, copying the two elisp files to the
> site-elisp directory. It does not byte-compile the files or generate
> autoloads (we do we need to generate autoloads?). However, I don't
> think recutils 1.7 did either of those either, so at least we're no
> worse off then we were then.

WDYT about creating a new package recipe in
‘gnu/packages/emacs-xyz.scm’, which inherits ‘recutils’ and sets build
system to ‘emacs-build-system’?  We will probably need to change
directory after unpack phase in this case, but we will not need to
maintain Emacs lisp files compilation manually.

Regards,
Oleg.